<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=windows-1252">
	<TITLE>Introduction</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.4  (Win32)">
	<META NAME="CREATED" CONTENT="0;0">
	<META NAME="CHANGEDBY" CONTENT="Christian Brunette">
	<META NAME="CHANGED" CONTENT="20090226;13440560">
	<STYLE TYPE="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin: 2cm }
		P { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm }
		H1.western { font-family: "Nimbus Sans L", sans-serif; font-size: 16pt }
		H1.cjk { font-family: "DejaVu LGC Sans"; font-size: 16pt }
		H1.ctl { font-family: "DejaVu LGC Sans"; font-size: 16pt }
	-->
	</STYLE>
</HEAD>
<BODY>
<H1 CLASS="western">Introduction</H1>
<P>Fiacre is the pivot metamodel for asynchronous technologies into
the OpenEmbeDD platform. Fiacre aims to offer a unique description of
Real-Time &amp; Embedded systems so other platform tools can
transform once for all their own formalism to Fiacre or from Fiacre
(depending on the nature of those tools).</P>

<P>The current transformation purpose is to extract Fiacre models in
a formalism compatible with the CADP tool box, which is the LOTOS
text language. It translates the input Fiacre file &lt;input&gt;.fcr 
into a semantically equivalent ouput Lotos file &lt;output&gt;.lotos. 
Additional files &lt;output&gt;.f and &lt;output&gt;.t are also generated, 
which contain the code for 'external' operations.</P>
<BR />
<BR />
<P>The gate parameters of the generated Lotos specification (i.e., the visible
gates of the specification) are the formal gate parameters of the
main Fiacre component/process. It is guaranteed that these gate
parameters keep the name used in the Fiacre program, only prefixed by
the &quot;FIACRE_&quot; string.</P>

</BODY>
</HTML>